Ramp: Unified request schemas (part 1)
63 Ramp schemas with complete fields and constraints.
← Unified request operations · All schemas
Create a procurement request — request body — body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Body for POST /unified-requests: create a procurement request. The spend program must be a procurement program; other program types are rejected. |
accounting_field_selections | array | Optional | Request-level accounting selections; purchase-order programs only. Limited to fields the program enables at the request level and your ERP allows there. |
accounting_field_selections[] | Model | Each item | Expand Edit a procurement request — request body — body accounting field selections item |
currency | Model | Required within parent | Expand Edit a procurement request — request body — body currency ISO 4217 currency code for the request. |
end_date | JSON | Optional | |
end_date (anyOf 1) | string | Alternative | End of the spend period, formatted YYYY-MM-DD. Default: null Format: date |
end_date (anyOf 2) | null | Alternative | |
entity_id | JSON | Optional | |
entity_id (anyOf 1) | string | Alternative | ID of the business entity the request belongs to. Defaults to the spend program's entity, or the requester's entity. Default: null Format: uuid |
entity_id (anyOf 2) | null | Alternative | |
field_answers | array | Optional | Answers to the spend program's request form fields. Each answer's answer_type must match the field's type. |
field_answers[] | JSON | Each item | discriminator: {"mapping": {"address": "#/components/schemas/ApiAddressFieldAnswerRequestBody", "boolean": "#/components/schemas/ApiBooleanFieldAnswerRequestBody", "contact": "#/components/schemas/ApiContactFieldAnswerRequestBody", "date": "#/components/schemas/ApiDateFieldAnswerRequestBody", "department": "#/components/schemas/ApiDepartmentFieldAnswerRequestBody", "email": "#/components/schemas/ApiEmailFieldAnswerRequestBody", "link": "#/components/schemas/ApiLinkFieldAnswerRequestBody", "merchant": "#/components/schemas/ApiMerchantFieldAnswerRequestBody", "merchant_category": "#/components/schemas/ApiMerchantCategoryFieldAnswerRequestBody", "monetary_amount": "#/components/schemas/ApiMonetaryAmountFieldAnswerRequestBody", "multi_select": "#/components/schemas/ApiMultiSelectFieldAnswerRequestBody", "number": "#/components/schemas/ApiNumberFieldAnswerRequestBody", "paragraph": "#/components/schemas/ApiParagraphFieldAnswerRequestBody", "single_select": "#/components/schemas/ApiSingleSelectFieldAnswerRequestBody", "text": "#/components/schemas/ApiTextFieldAnswerRequestBody", "user": "#/components/schemas/ApiUserFieldAnswerRequestBody", "vendor": "#/components/schemas/ApiCreateVendorFieldAnswerRequestBody"}, "propertyName": "answer_type"} |
field_answers[] (oneOf 1) | Model | Alternative | Expand Edit a procurement request — request body — body field answers item answer type address |
field_answers[] (oneOf 2) | Model | Alternative | Expand Edit a procurement request — request body — body field answers item answer type boolean |
field_answers[] (oneOf 3) | Model | Alternative | Expand Edit a procurement request — request body — body field answers item answer type contact |
field_answers[] (oneOf 4) | Model | Alternative | Expand Create a procurement request — request body — body field answers item answer type vendor |
field_answers[] (oneOf 5) | Model | Alternative | Expand Edit a procurement request — request body — body field answers item answer type date |
field_answers[] (oneOf 6) | Model | Alternative | Expand Edit a procurement request — request body — body field answers item answer type department |
field_answers[] (oneOf 7) | Model | Alternative | Expand Edit a procurement request — request body — body field answers item answer type email |
field_answers[] (oneOf 8) | Model | Alternative | Expand Edit a procurement request — request body — body field answers item answer type link |
field_answers[] (oneOf 9) | Model | Alternative | Expand Edit a procurement request — request body — body field answers item answer type merchant category |
field_answers[] (oneOf 10) | Model | Alternative | Expand Edit a procurement request — request body — body field answers item answer type merchant |
field_answers[] (oneOf 11) | Model | Alternative | Expand Edit a procurement request — request body — body field answers item answer type monetary amount |
field_answers[] (oneOf 12) | Model | Alternative | Expand Edit a procurement request — request body — body field answers item answer type multi select |
field_answers[] (oneOf 13) | Model | Alternative | Expand Edit a procurement request — request body — body field answers item answer type number |
field_answers[] (oneOf 14) | Model | Alternative | Expand Edit a procurement request — request body — body field answers item answer type paragraph |
field_answers[] (oneOf 15) | Model | Alternative | Expand Edit a procurement request — request body — body field answers item answer type single select |
field_answers[] (oneOf 16) | Model | Alternative | Expand Edit a procurement request — request body — body field answers item answer type text |
field_answers[] (oneOf 17) | Model | Alternative | Expand Edit a procurement request — request body — body field answers item answer type user |
line_items | array | Optional | Line items for the request; purchase-order programs only. |
line_items[] | Model | Each item | Expand Create a procurement request — request body — body line items item |
name | JSON | Optional | |
name (anyOf 1) | string | Alternative | Name of the request. Default: null |
name (anyOf 2) | null | Alternative | |
request_owner_id | string | Required within parent | ID of the user who owns the request. Approvals route as if this user submitted it. Format: uuid |
spend_program_id | string | Required within parent | ID of the procurement spend program to request against. Non-procurement programs are rejected. Format: uuid |
start_date | JSON | Optional | |
start_date (anyOf 1) | string | Alternative | Start of the spend period, formatted YYYY-MM-DD. Default: null Format: date |
start_date (anyOf 2) | null | Alternative | |
submit | boolean | Optional | Submit for approval (default true). Set false to save a draft. Default: true |
Referenced models: Edit a procurement request — request body — body accounting field selections item, Edit a procurement request — request body — body field answers item answer type address, Edit a procurement request — request body — body field answers item answer type boolean, Edit a procurement request — request body — body field answers item answer type contact, Create a procurement request — request body — body field answers item answer type vendor, Edit a procurement request — request body — body field answers item answer type date, Edit a procurement request — request body — body field answers item answer type department, Edit a procurement request — request body — body field answers item answer type email, Edit a procurement request — request body — body field answers item answer type link, Edit a procurement request — request body — body field answers item answer type merchant category, Edit a procurement request — request body — body field answers item answer type merchant, Edit a procurement request — request body — body field answers item answer type monetary amount, Edit a procurement request — request body — body field answers item answer type multi select, Edit a procurement request — request body — body field answers item answer type number, Edit a procurement request — request body — body field answers item answer type paragraph, Create a procurement request — request body — body line items item, Edit a procurement request — request body — body field answers item answer type single select, Edit a procurement request — request body — body field answers item answer type text, Edit a procurement request — request body — body field answers item answer type user, Edit a procurement request — request body — body currency
Create a procurement request — request body — body field answers item answer type vendor
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Answer for a vendor field, optionally creating a new vendor's default contact. |
answer_type | string | Required within parent | Must be vendor. Must equal: vendor |
field_id | string | Required within parent | ID of the spend program form field this answer is for. Field IDs are defined by the spend program's request form. |
new_vendor_contact | JSON | Optional | |
new_vendor_contact (anyOf 1) | Model | Alternative | Expand Create a procurement request — request body — body field answers item answer type vendor new vendor contact email, first name, last name, phone number Default contact to save on the new vendor before submitting the request. Only supported with new_vendor_name when creating a request. All contact fields are optional; existing vendor-contact email policies still apply. Default: null |
new_vendor_contact (anyOf 2) | null | Alternative | |
new_vendor_name | JSON | Optional | |
new_vendor_name (anyOf 1) | string | Alternative | Name of a vendor that does not exist yet. Provide either payee_uuid or new_vendor_name. Default: null |
new_vendor_name (anyOf 2) | null | Alternative | |
payee_contact_uuid | JSON | Optional | |
payee_contact_uuid (anyOf 1) | string | Alternative | Existing contact UUID belonging to the selected vendor. Default: null Format: uuid |
payee_contact_uuid (anyOf 2) | null | Alternative | |
payee_uuid | JSON | Optional | |
payee_uuid (anyOf 1) | string | Alternative | ID of an existing vendor. Provide either payee_uuid or new_vendor_name. Default: null Format: uuid |
payee_uuid (anyOf 2) | null | Alternative |
Referenced models: Create a procurement request — request body — body field answers item answer type vendor new vendor contact email, first name, last name, phone number
Create a procurement request — request body — body field answers item answer type vendor new vendor contact email, first name, last name, phone number
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Initial default contact for a vendor created with a procurement request. Additional keys: not allowed |
email | JSON | Optional | |
email (anyOf 1) | string | Alternative | Email address of the new vendor's default contact. Default: null Format: email |
email (anyOf 2) | null | Alternative | |
first_name | JSON | Optional | |
first_name (anyOf 1) | string | Alternative | First name of the contact. Default: null Maximum length: 40 |
first_name (anyOf 2) | null | Alternative | |
last_name | JSON | Optional | |
last_name (anyOf 1) | string | Alternative | Last name of the contact. Default: null Maximum length: 40 |
last_name (anyOf 2) | null | Alternative | |
phone_number | JSON | Optional | |
phone_number (anyOf 1) | string | Alternative | Phone number of the contact. Default: null |
phone_number (anyOf 2) | null | Alternative |
Create a procurement request — request body — body line items item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | A line item on a new procurement request. Mirrors the purchase-order line item. |
accounting_field_selections | array | Optional | Line-level selections for accounting fields the program enables. On PATCH: omit to preserve, unlisted enabled fields are cleared, [] clears all. |
accounting_field_selections[] | Model | Each item | Expand Edit a procurement request — request body — body accounting field selections item |
custom_field_values | array | Optional | Values for line-item custom fields the program enables. On PATCH: omit to preserve, unlisted enabled fields are cleared, [] clears all. |
custom_field_values[] | Model | Each item | Expand Edit a procurement request — request body — body line items item custom field values item |
description | JSON | Optional | |
description (anyOf 1) | string | Alternative | Description of the line item. Omitted or null on PATCH clears it. Default: null |
description (anyOf 2) | null | Alternative | |
unit_price | JSON | Required within parent | Unit price in major currency units (`"450.00"` is 450.00 USD, not cents). Decimal string or number. |
unit_price (oneOf 1) | number | Alternative | |
unit_price (oneOf 2) | string | Alternative | |
unit_quantity | JSON | Required within parent | Quantity of the line item. Fractional quantities are accepted, up to 8 decimal places. |
unit_quantity (oneOf 1) | number | Alternative | |
unit_quantity (oneOf 2) | string | Alternative |
Referenced models: Edit a procurement request — request body — body accounting field selections item, Edit a procurement request — request body — body line items item custom field values item
Edit a procurement request — request body — body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Sparse scalar edits and complete collection replacements for draft or submitted requests. Additional keys: not allowed |
accounting_field_selections | array | Optional | Complete replacement of request-level accounting selections: omit to preserve, unlisted enabled fields are cleared, [] clears all. |
accounting_field_selections[] | Model | Each item | Expand Edit a procurement request — request body — body accounting field selections item |
currency | Model | Optional | Expand Edit a procurement request — request body — body currency ISO 4217 currency code for the request. Omit to keep the saved value. |
end_date | JSON | Optional | |
end_date (anyOf 1) | string | Alternative | Spend period end, YYYY-MM-DD. Null clears it. Format: date |
end_date (anyOf 2) | null | Alternative | |
entity_id | string | Optional | ID of the business entity for the request. Omit to keep the saved value. Format: uuid |
field_answers | array | Optional | Complete replacement of API-editable answers. Omit to preserve answers; omitted supported field IDs are cleared, and [] clears all supported answers. Unexposed answers, including file uploads, are preserved. |
field_answers[] | JSON | Each item | discriminator: {"mapping": {"address": "#/components/schemas/ApiAddressFieldAnswerRequestBody", "boolean": "#/components/schemas/ApiBooleanFieldAnswerRequestBody", "contact": "#/components/schemas/ApiContactFieldAnswerRequestBody", "date": "#/components/schemas/ApiDateFieldAnswerRequestBody", "department": "#/components/schemas/ApiDepartmentFieldAnswerRequestBody", "email": "#/components/schemas/ApiEmailFieldAnswerRequestBody", "link": "#/components/schemas/ApiLinkFieldAnswerRequestBody", "merchant": "#/components/schemas/ApiMerchantFieldAnswerRequestBody", "merchant_category": "#/components/schemas/ApiMerchantCategoryFieldAnswerRequestBody", "monetary_amount": "#/components/schemas/ApiMonetaryAmountFieldAnswerRequestBody", "multi_select": "#/components/schemas/ApiMultiSelectFieldAnswerRequestBody", "number": "#/components/schemas/ApiNumberFieldAnswerRequestBody", "paragraph": "#/components/schemas/ApiParagraphFieldAnswerRequestBody", "single_select": "#/components/schemas/ApiSingleSelectFieldAnswerRequestBody", "text": "#/components/schemas/ApiTextFieldAnswerRequestBody", "user": "#/components/schemas/ApiUserFieldAnswerRequestBody", "vendor": "#/components/schemas/ApiVendorFieldAnswerRequestBody"}, "propertyName": "answer_type"} |
field_answers[] (oneOf 1) | Model | Alternative | Expand Edit a procurement request — request body — body field answers item answer type address |
field_answers[] (oneOf 2) | Model | Alternative | Expand Edit a procurement request — request body — body field answers item answer type boolean |
field_answers[] (oneOf 3) | Model | Alternative | Expand Edit a procurement request — request body — body field answers item answer type contact |
field_answers[] (oneOf 4) | Model | Alternative | Expand Edit a procurement request — request body — body field answers item answer type date |
field_answers[] (oneOf 5) | Model | Alternative | Expand Edit a procurement request — request body — body field answers item answer type department |
field_answers[] (oneOf 6) | Model | Alternative | Expand Edit a procurement request — request body — body field answers item answer type email |
field_answers[] (oneOf 7) | Model | Alternative | Expand Edit a procurement request — request body — body field answers item answer type link |
field_answers[] (oneOf 8) | Model | Alternative | Expand Edit a procurement request — request body — body field answers item answer type merchant category |
field_answers[] (oneOf 9) | Model | Alternative | Expand Edit a procurement request — request body — body field answers item answer type merchant |
field_answers[] (oneOf 10) | Model | Alternative | Expand Edit a procurement request — request body — body field answers item answer type monetary amount |
field_answers[] (oneOf 11) | Model | Alternative | Expand Edit a procurement request — request body — body field answers item answer type multi select |
field_answers[] (oneOf 12) | Model | Alternative | Expand Edit a procurement request — request body — body field answers item answer type number |
field_answers[] (oneOf 13) | Model | Alternative | Expand Edit a procurement request — request body — body field answers item answer type paragraph |
field_answers[] (oneOf 14) | Model | Alternative | Expand Edit a procurement request — request body — body field answers item answer type single select |
field_answers[] (oneOf 15) | Model | Alternative | Expand Edit a procurement request — request body — body field answers item answer type text |
field_answers[] (oneOf 16) | Model | Alternative | Expand Edit a procurement request — request body — body field answers item answer type user |
field_answers[] (oneOf 17) | Model | Alternative | Expand Edit a procurement request — request body — body field answers item answer type vendor |
line_items | array | Optional | Complete replacement set. Omit to preserve all lines; omitted existing IDs are deleted, and [] removes all source lines. Every item requires unit_price and unit_quantity. Omitted or null description clears it. Retained lines preserve unexposed metadata and omitted coding. |
line_items[] | Model | Each item | Expand Edit a procurement request — request body — body line items item |
name | string | Optional | Name of the request. Omit to keep the saved value. |
start_date | JSON | Optional | |
start_date (anyOf 1) | string | Alternative | Spend period start, YYYY-MM-DD. Null clears it. Format: date |
start_date (anyOf 2) | null | Alternative |
Referenced models: Edit a procurement request — request body — body accounting field selections item, Edit a procurement request — request body — body field answers item answer type address, Edit a procurement request — request body — body field answers item answer type boolean, Edit a procurement request — request body — body field answers item answer type contact, Edit a procurement request — request body — body field answers item answer type date, Edit a procurement request — request body — body field answers item answer type department, Edit a procurement request — request body — body field answers item answer type email, Edit a procurement request — request body — body field answers item answer type link, Edit a procurement request — request body — body field answers item answer type merchant category, Edit a procurement request — request body — body field answers item answer type merchant, Edit a procurement request — request body — body field answers item answer type monetary amount, Edit a procurement request — request body — body field answers item answer type multi select, Edit a procurement request — request body — body field answers item answer type number, Edit a procurement request — request body — body field answers item answer type paragraph, Edit a procurement request — request body — body line items item, Edit a procurement request — request body — body field answers item answer type single select, Edit a procurement request — request body — body field answers item answer type text, Edit a procurement request — request body — body field answers item answer type user, Edit a procurement request — request body — body field answers item answer type vendor, Edit a procurement request — request body — body currency
Edit a procurement request — request body — body accounting field selections item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | One accounting field selection, identified by Ramp UUIDs. Additional keys: not allowed |
accounting_field_id | string | Required within parent | ID of the accounting field: `id` in the spend program's `line_item_accounting_fields`, or `ramp_id` on GET /accounting/fields. Format: uuid |
accounting_field_option_id | string | Required within parent | ID of an option of that field: `ramp_id` on GET /accounting/field-options (GET /accounting/accounts for GL accounts). Format: uuid |
Edit a procurement request — request body — body currency
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | string | Root | We attempted to dynamically create this class from the ISO4217Currency and CryptoCurrency enums. However, mypy was not able to infer the type of the Currency enum; so we manually added the currencies to the enum. One of: AED, AFN, ALL, AMD, ANG, AOA, ARS, AUD, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BOV, BRL, BSD, BTN, BWP, BYN, BZD, CAD, CDF, CHE, CHF, CHW, CLF, CLP, CNH, CNY, COP, COU, CRC, CUC, CUP, CVE, CZK, DJF, DKK, DOP, DZD, EGP, ERN, ETB, EUR, EURC, FJD, FKP, GBP, GEL, GHS, GIP, GMD, GNF, GTQ, GYD, HKD, HNL, HRK, HTG, HUF, IDR, ILS, INR, IQD, IRR, ISK, JMD, JOD, JPY, KES, KGS, KHR, KMF, KPW, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MRU, MUR, MVR, MWK, MXN, MXV, MYR, MZN, NAD, NGN, NIO, NOK, NPR, NZD, OMR, OPEN_USD, PAB, PEN, PGK, PHP, PKR, PLN, PYG, QAR, RON, RSD, RUB, RWF, SAR, SBD, SCR, SDG, SEK, SGD, SHP, SLE, SLL, SOS, SRD, SSP, STN, SVC, SYP, SZL, THB, TJS, TMT, TND, TOP, TRY, TTD, TWD, TZS, UAH, UGX, USD, USDB, USDC, USDG, USDT, USN, UYI, UYU, UYW, UZS, VED, VES, VND, VUV, WST, XAD, XAF, XAG, XAU, XBA, XBB, XBC, XBD, XCD, XCG, XDR, XOF, XPD, XPF, XPT, XSU, XTS, XUA, XXX, YER, ZAR, ZMW, ZWG, ZWL |
Edit a procurement request — request body — body field answers item answer type address
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Answer for an address field. |
address1 | string | Required within parent | Street address line 1. |
address2 | JSON | Optional | |
address2 (anyOf 1) | string | Alternative | Street address line 2. Default: null |
address2 (anyOf 2) | null | Alternative | |
answer_type | string | Required within parent | Must be address. Must equal: address |
city | string | Required within parent | City. |
country | string | Required within parent | ISO 3166-1 alpha-2 country code, such as US. |
field_id | string | Required within parent | ID of the spend program form field this answer is for. Field IDs are defined by the spend program's request form. |
postal_code | JSON | Optional | |
postal_code (anyOf 1) | string | Alternative | Postal or ZIP code. Default: null |
postal_code (anyOf 2) | null | Alternative | |
state | JSON | Optional | |
state (anyOf 1) | string | Alternative | State or province. Default: null |
state (anyOf 2) | null | Alternative |
Edit a procurement request — request body — body field answers item answer type boolean
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Answer for a yes/no field. |
answer_type | string | Required within parent | Must be boolean. Must equal: boolean |
field_id | string | Required within parent | ID of the spend program form field this answer is for. Field IDs are defined by the spend program's request form. |
value | boolean | Required within parent | Boolean answer for this field. |
Edit a procurement request — request body — body field answers item answer type contact
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Answer for a contact field. |
answer_type | string | Required within parent | Must be contact. Must equal: contact |
email | string | Required within parent | Contact email address. |
field_id | string | Required within parent | ID of the spend program form field this answer is for. Field IDs are defined by the spend program's request form. |
first_name | JSON | Optional | |
first_name (anyOf 1) | string | Alternative | Optional first name. Default: null |
first_name (anyOf 2) | null | Alternative | |
last_name | JSON | Optional | |
last_name (anyOf 1) | string | Alternative | Optional last name. Default: null |
last_name (anyOf 2) | null | Alternative | |
phone_number | JSON | Optional | |
phone_number (anyOf 1) | string | Alternative | Optional phone number. Default: null |
phone_number (anyOf 2) | null | Alternative |
Edit a procurement request — request body — body field answers item answer type date
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Answer for a date field (YYYY-MM-DD). |
answer_type | string | Required within parent | Must be date. Value must be a YYYY-MM-DD string. Must equal: date |
field_id | string | Required within parent | ID of the spend program form field this answer is for. Field IDs are defined by the spend program's request form. |
value | string | Required within parent | String answer for this field. |
Edit a procurement request — request body — body field answers item answer type department
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Answer for a department field. |
answer_type | string | Required within parent | Must be department. Must equal: department |
department_uuid | string | Required within parent | Existing Ramp department UUID. Format: uuid |
field_id | string | Required within parent | ID of the spend program form field this answer is for. Field IDs are defined by the spend program's request form. |
Edit a procurement request — request body — body field answers item answer type email
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Answer for an email field. |
answer_type | string | Required within parent | Must be email. Must equal: email |
field_id | string | Required within parent | ID of the spend program form field this answer is for. Field IDs are defined by the spend program's request form. |
value | string | Required within parent | String answer for this field. |
Edit a procurement request — request body — body field answers item answer type link
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Answer for a URL field. |
answer_type | string | Required within parent | Must be link. Must equal: link |
field_id | string | Required within parent | ID of the spend program form field this answer is for. Field IDs are defined by the spend program's request form. |
value | string | Required within parent | String answer for this field. |
Edit a procurement request — request body — body field answers item answer type merchant
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Answer for a merchant field. |
answer_type | string | Required within parent | Must be merchant. Must equal: merchant |
field_id | string | Required within parent | ID of the spend program form field this answer is for. Field IDs are defined by the spend program's request form. |
merchant_uuids | array | Required within parent | IDs of existing merchants. |
merchant_uuids[] | string | Each item | Format: uuid |
Edit a procurement request — request body — body field answers item answer type merchant category
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Answer for a merchant category field. |
answer_type | string | Required within parent | Must be merchant_category. Must equal: merchant_category |
category_ids | array | Required within parent | IDs of existing merchant categories. |
category_ids[] | integer | Each item | |
field_id | string | Required within parent | ID of the spend program form field this answer is for. Field IDs are defined by the spend program's request form. |
Edit a procurement request — request body — body field answers item answer type monetary amount
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Answer for a monetary amount field. |
amount | JSON | Required within parent | Finite amount in currency units. String values are preferred. |
amount (oneOf 1) | number | Alternative | |
amount (oneOf 2) | string | Alternative | |
answer_type | string | Required within parent | Must be monetary_amount. Must equal: monetary_amount |
currency | string | Required within parent | ISO 4217 currency code, such as USD. |
field_id | string | Required within parent | ID of the spend program form field this answer is for. Field IDs are defined by the spend program's request form. |
Edit a procurement request — request body — body field answers item answer type multi select
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Answer for a multi-select field. |
answer_type | string | Required within parent | Must be multi_select. Must equal: multi_select |
field_id | string | Required within parent | ID of the spend program form field this answer is for. Field IDs are defined by the spend program's request form. |
values | array | Required within parent | The selected choice values, exactly as configured on the field. |
values[] | string | Each item |
Edit a procurement request — request body — body field answers item answer type number
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Answer for a numeric field. |
answer_type | string | Required within parent | Must be number. Must equal: number |
field_id | string | Required within parent | ID of the spend program form field this answer is for. Field IDs are defined by the spend program's request form. |
value | JSON | Required within parent | Finite numeric answer for this field. |
value (oneOf 1) | number | Alternative | |
value (oneOf 2) | string | Alternative |
Edit a procurement request — request body — body field answers item answer type paragraph
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Answer for a multi-line paragraph field. |
answer_type | string | Required within parent | Must be paragraph. Must equal: paragraph |
field_id | string | Required within parent | ID of the spend program form field this answer is for. Field IDs are defined by the spend program's request form. |
value | string | Required within parent | String answer for this field. |
Edit a procurement request — request body — body field answers item answer type single select
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Answer for a single-select field. |
answer_type | string | Required within parent | Must be single_select. Use choices[].value exactly. Must equal: single_select |
field_id | string | Required within parent | ID of the spend program form field this answer is for. Field IDs are defined by the spend program's request form. |
value | string | Required within parent | String answer for this field. |
Edit a procurement request — request body — body field answers item answer type text
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Answer for a single-line text field. |
answer_type | string | Required within parent | Must be text. Must equal: text |
field_id | string | Required within parent | ID of the spend program form field this answer is for. Field IDs are defined by the spend program's request form. |
value | string | Required within parent | String answer for this field. |
Edit a procurement request — request body — body field answers item answer type user
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Answer for a user field. |
answer_type | string | Required within parent | Must be user. Must equal: user |
field_id | string | Required within parent | ID of the spend program form field this answer is for. Field IDs are defined by the spend program's request form. |
user_uuid | string | Required within parent | ID of an existing user in the business. Format: uuid |
Edit a procurement request — request body — body field answers item answer type vendor
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Answer for a vendor field: an existing vendor or a new vendor name. |
answer_type | string | Required within parent | Must be vendor. Must equal: vendor |
field_id | string | Required within parent | ID of the spend program form field this answer is for. Field IDs are defined by the spend program's request form. |
new_vendor_name | JSON | Optional | |
new_vendor_name (anyOf 1) | string | Alternative | Name of a vendor that does not exist yet. Provide either payee_uuid or new_vendor_name. Default: null |
new_vendor_name (anyOf 2) | null | Alternative | |
payee_contact_uuid | JSON | Optional | |
payee_contact_uuid (anyOf 1) | string | Alternative | Existing contact UUID belonging to the selected vendor. Default: null Format: uuid |
payee_contact_uuid (anyOf 2) | null | Alternative | |
payee_uuid | JSON | Optional | |
payee_uuid (anyOf 1) | string | Alternative | ID of an existing vendor. Provide either payee_uuid or new_vendor_name. Default: null Format: uuid |
payee_uuid (anyOf 2) | null | Alternative |
Edit a procurement request — request body — body line items item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Complete editable payload for a retained or new line. Additional keys: not allowed |
accounting_field_selections | array | Optional | Line-level selections for accounting fields the program enables. On PATCH: omit to preserve, unlisted enabled fields are cleared, [] clears all. |
accounting_field_selections[] | Model | Each item | Expand Edit a procurement request — request body — body accounting field selections item |
custom_field_values | array | Optional | Values for line-item custom fields the program enables. On PATCH: omit to preserve, unlisted enabled fields are cleared, [] clears all. |
custom_field_values[] | Model | Each item | Expand Edit a procurement request — request body — body line items item custom field values item |
description | JSON | Optional | |
description (anyOf 1) | string | Alternative | Description of the line item. Omitted or null on PATCH clears it. Default: null |
description (anyOf 2) | null | Alternative | |
id | string | Optional | ID of an existing line (`purchase_order.purchase_order_line_item_log_entries[].id` in the request detail). Omit to create a new line. Format: uuid |
unit_price | JSON | Required within parent | Unit price in major currency units (`"450.00"` is 450.00 USD, not cents). Decimal string or number. |
unit_price (oneOf 1) | number | Alternative | |
unit_price (oneOf 2) | string | Alternative | |
unit_quantity | JSON | Required within parent | Quantity of the line item. Fractional quantities are accepted, up to 8 decimal places. |
unit_quantity (oneOf 1) | number | Alternative | |
unit_quantity (oneOf 2) | string | Alternative |
Referenced models: Edit a procurement request — request body — body accounting field selections item, Edit a procurement request — request body — body line items item custom field values item
Edit a procurement request — request body — body line items item custom field values item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | One purchase-order line-item custom field value. Additional keys: not allowed |
custom_field_id | string | Required within parent | ID of the field (`id` in the spend program's line_item_custom_fields). |
value | JSON | Required within parent | Value matching the field's `field_type`: a number for `number`, `currency` and `percentage`; a boolean for `boolean`; the option's display name for `select` and `category`; a list of display names for `multi_select`; otherwise a string (`"10"`, not `10`, for a text field). On PATCH, `""` clears the field. |
value (oneOf 1) | array | Alternative | |
value (oneOf 1)[] | string | Each item | |
value (oneOf 2) | boolean | Alternative | |
value (oneOf 3) | number | Alternative | |
value (oneOf 4) | string | Alternative |
Get a unified request — response body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | JSON | Root | discriminator: {"mapping": {"SPEND_REQUEST": "#/components/schemas/UnifiedSpendRequestDetail"}, "propertyName": "unified_request_type"} |
$ (anyOf 1) | Model | Alternative | Expand Get a unified request — response body — value |
Referenced models: Get a unified request — response body — value
Get a unified request — response body — value
Referenced models: Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY, Get a unified request — response body — value / request_status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: FUND UNARCHIVE, unified request type: SPEND REQUEST, unified spend request type: FUND UNARCHIVE, Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: SPEND LIMIT, unified request type: SPEND REQUEST, unified spend request type: PROCUREMENT SPEND ALLOCATION, Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: PURCHASE ORDER, unified request type: SPEND REQUEST, unified spend request type: PURCHASE ORDER, Get a unified request — response body — value / request_status: APPROVED, DRAFT, REJECTED, SUBMITTED, restricted request type: SPEND ALLOCATION, spend request type: SPEND LIMIT, unified request type: SPEND REQUEST, unified spend request type: SPEND ALLOCATION, Get a unified request — response body — value / request_status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: TRAVEL, unified request type: SPEND REQUEST, unified spend request type: TRAVEL
Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY
Referenced models: List unified requests with pagination — response body — item / value / request_status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY, Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE
Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE
Referenced models: Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agent executions, Get a unified request — response body — value / request_status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: TRAVEL, unified request type: SPEND REQUEST, unified spend request type: TRAVEL approval chain data, attendees count, available actions, group trip, members, spend allocation outcome settings, travel metadata, trip approval chain data, Get a unified request — response body — value / request_status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: FUND UNARCHIVE, unified request type: SPEND REQUEST, unified spend request type: FUND UNARCHIVE approval chain data, approval events, archival context, current fund settings, original spend allocation uuid approval events item, Get a unified request — response body — value / request_status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: TRAVEL, unified request type: SPEND REQUEST, unified spend request type: TRAVEL ai intake thread id, ai request copilot thread id, allowed overage percent, approver comment, budget path, change request custom form collection response uuid, comment thread uuid, custom form collection response uuid, deleted by user, deleted reason, display request number, internal memo, pending change request, ramp event history uuid, savings, Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE linkable agreements item, Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreements item, Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE change request diff fields, Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE custom form files item, Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions, Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2, Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE spend request documents item, Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE sanitized approval steps array item, Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE sourcing event current rfx, id, name, Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE spend intent config snapshot purchase order, Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE default question config summary, Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE ai summary data Spend Request ai summary data, Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE forms, Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE workflow execution status last updated, status
Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agent executions
Referenced models: Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agent executions completed agent executions item, Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agent executions agents item
Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agent executions agents item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
agent_execution_id | JSON | Required within parent | |
agent_execution_id (anyOf 1) | string | Alternative | |
agent_execution_id (anyOf 2) | null | Alternative | |
agent_id | string | Required within parent | |
status | string | Required within parent | Known values: Failed, In Progress, Skipped, Unvisited, Visited |
title | string | Required within parent |
Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agent executions completed agent executions item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Information about a completed agent execution. |
agent_id | JSON | Optional | |
agent_id (anyOf 1) | string | Alternative | Default: null |
agent_id (anyOf 2) | null | Alternative | |
created_at | JSON | Optional | |
created_at (anyOf 1) | string | Alternative | Default: null Format: date-time |
created_at (anyOf 2) | null | Alternative | |
has_report | boolean | Required within parent | |
id | string | Required within parent | |
status | string | Required within parent | |
title | string | Required within parent | |
triggered_by | JSON | Optional | |
triggered_by (anyOf 1) | string | Alternative | Default: null |
triggered_by (anyOf 2) | null | Alternative |
Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreements item
Referenced models: Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreements item days remaining, Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreements item available actions, Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreements item source, Fetch a vendor agreement — response body — payee, Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreements item renewal brief document id, title
Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreements item available actions
Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreements item available actions view
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | JSON | Root | discriminator: {"mapping": {"allowed": "#/components/schemas/ActionAllowedSchema", "denied": "#/components/schemas/ActionDeniedSchema_ViewAgreementDenialReason_"}, "propertyName": "status"} |
$ (anyOf 1) | Model | Alternative | Expand Fetch a vendor agreement — response body — available actions delete status allowed |
$ (anyOf 2) | Model | Alternative | Expand Fetch a vendor agreement — response body — available_actions / can_action / denial_reason: NO PERMISSION, status denied |
Referenced models: Fetch a vendor agreement — response body — available actions delete status allowed, Fetch a vendor agreement — response body — available_actions / can_action / denial_reason: NO PERMISSION, status denied
Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreements item days remaining
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Schema representing the days remaining calculation for a PayeeAgreement. This schema contains information about how many days remain until an agreement ends and which date was used for the calculation. |
end_date_used | JSON | Required within parent | |
end_date_used (anyOf 1) | string | Alternative | Enum to track which date was used for PayeeAgreement end date calculations. Known values: END_DATE, LAST_DATE_TO_TERMINATE |
end_date_used (anyOf 2) | null | Alternative | |
is_expired | JSON | Required within parent | |
is_expired (anyOf 1) | boolean | Alternative | |
is_expired (anyOf 2) | null | Alternative | |
is_overdue | JSON | Required within parent | |
is_overdue (anyOf 1) | boolean | Alternative | |
is_overdue (anyOf 2) | null | Alternative | |
num_days_until_end | JSON | Required within parent | |
num_days_until_end (anyOf 1) | JSON | Alternative | |
num_days_until_end (anyOf 1) (anyOf 1) | integer | Alternative | |
num_days_until_end (anyOf 1) (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
num_days_until_end (anyOf 2) | null | Alternative |
Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreements item renewal brief document id, title
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
document_id | string | Required within parent | The renewal brief document ID. |
title | string | Required within parent | The renewal brief title. |
Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreements item source
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | string | Root | Enum for the source of the PayeeAgreementSpendRequestMapping model. There are three cases where we map a SpendRequest to a PayeeAgreement: 1. There is a document uploaded on a SpendRequest that ultimately creates a PayeeAgreement 2. There is a renewal SpendRequest that is created for a particular PayeeAgreement 3. A SpendRequest is manually linked to an existing PayeeAgreement Known values: EXPANSION_REQUEST, RENEWAL, REQUEST_APPROVAL, REQUEST_LINKED_TO_AGREEMENT |
Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE ai summary data Spend Request ai summary data
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | SpendRequest.ai_summary_data |
generated_at | JSON | Optional | |
generated_at (anyOf 1) | string | Alternative | When this summary was generated; None for summaries persisted before this field existed Default: null Format: date-time |
generated_at (anyOf 2) | null | Alternative | |
span_id | JSON | Optional | |
span_id (anyOf 1) | string | Alternative | The span ID of the spend request Default: null |
span_id (anyOf 2) | null | Alternative | |
summary | JSON | Optional | |
summary (anyOf 1) | string | Alternative | The overall summary of the spend request Default: null |
summary (anyOf 2) | null | Alternative | |
takeaways | JSON | Optional | |
takeaways (anyOf 1) | array | Alternative | Up to 5 takeaways from the spend request Default: null |
takeaways (anyOf 1)[] | string | Each item | |
takeaways (anyOf 2) | null | Alternative | |
title | JSON | Optional | |
title (anyOf 1) | string | Alternative | The title of the spend request Default: null |
title (anyOf 2) | null | Alternative |
Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions
Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2
Referenced models: Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 create agreement post approval, Get a unified request — response body — value / request_status: APPROVED, DRAFT, REJECTED, SUBMITTED, restricted request type: SPEND ALLOCATION, spend request type: SPEND LIMIT, unified request type: SPEND REQUEST, unified spend request type: SPEND ALLOCATION accounting auto mark ready rule enabled, accounting rules, approval chain data, approval events, archive date, available actions, available actions v2, blank canvas execution id, default transaction memo, members, spending restrictions, submission policy id, travel metadata, trip available actions v2 archive, Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 change payment method, Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 change vendor, Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 edit accounting merchant, Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 edit line items, Get a unified request — response body — value / request_status: APPROVED, DRAFT, REJECTED, SUBMITTED, restricted request type: SPEND ALLOCATION, spend request type: SPEND LIMIT, unified request type: SPEND REQUEST, unified spend request type: SPEND ALLOCATION accounting auto mark ready rule enabled, accounting rules, approval chain data, approval events, archive date, available actions, available actions v2, blank canvas execution id, default transaction memo, members, spending restrictions, submission policy id, travel metadata, trip available actions v2 edit primary fields, Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 edit request coordinator, Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 edit request owner, Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 edit secondary fields, Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 issue purchase order fund, Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 match unmatch transactions, Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 request again, Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 request changes, Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 send pdf to vendor, Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 upload bill
Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 change payment method
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | JSON | Root | discriminator: {"mapping": {"allowed": "#/components/schemas/ActionAllowedSchema", "denied": "#/components/schemas/ActionDeniedSchema_ChangePaymentMethodDenialReason_"}, "propertyName": "status"} |
$ (anyOf 1) | Model | Alternative | Expand Fetch a vendor agreement — response body — available actions delete status allowed |
$ (anyOf 2) | Model | Alternative | Expand Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 change payment method denial reason: approval generation incomplete, no permission, not procurement, status denied |
Referenced models: Fetch a vendor agreement — response body — available actions delete status allowed, Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 change payment method denial reason: approval generation incomplete, no permission, not procurement, status denied
Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 change payment method denial reason: approval generation incomplete, no permission, not procurement, status denied
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
denial_reason | string | Required within parent | Why the action cannot be performed. Known values: approval_generation_incomplete, no_permission, not_procurement |
status | string | Required within parent | Whether the action can be performed. Must equal: denied |
Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 change vendor
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | JSON | Root | discriminator: {"mapping": {"allowed": "#/components/schemas/ActionAllowedSchema", "denied": "#/components/schemas/ActionDeniedSchema_ChangeVendorDenialReason_"}, "propertyName": "status"} |
$ (anyOf 1) | Model | Alternative | Expand Fetch a vendor agreement — response body — available actions delete status allowed |
$ (anyOf 2) | Model | Alternative | Expand Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 change vendor status denied |
Referenced models: Fetch a vendor agreement — response body — available actions delete status allowed, Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 change vendor status denied
Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 change vendor status denied
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
denial_reason | string | Required within parent | Why the action cannot be performed. Known values: archived, catalog_order, linked_to_bills, linked_to_contract, linked_to_transactions, no_permission, punchout_order, renewal_request |
status | string | Required within parent | Whether the action can be performed. Must equal: denied |
Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 create agreement post approval
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | JSON | Root | discriminator: {"mapping": {"allowed": "#/components/schemas/ActionAllowedSchema", "denied": "#/components/schemas/ActionDeniedSchema_AgreementCreationPostApprovalDenialReason_"}, "propertyName": "status"} |
$ (anyOf 1) | Model | Alternative | Expand Fetch a vendor agreement — response body — available actions delete status allowed |
$ (anyOf 2) | Model | Alternative | Expand Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 upload bill status denied |
Referenced models: Fetch a vendor agreement — response body — available actions delete status allowed, Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 upload bill status denied
Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 edit accounting merchant
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | JSON | Root | discriminator: {"mapping": {"allowed": "#/components/schemas/ActionAllowedSchema", "denied": "#/components/schemas/ActionDeniedSchema_EditAccountingMerchantDenialReason_"}, "propertyName": "status"} |
$ (anyOf 1) | Model | Alternative | Expand Fetch a vendor agreement — response body — available actions delete status allowed |
$ (anyOf 2) | Model | Alternative | Expand Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 edit accounting merchant denial reason: archived, matches payee vendor, no payee, no permission, status denied |
Referenced models: Fetch a vendor agreement — response body — available actions delete status allowed, Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 edit accounting merchant denial reason: archived, matches payee vendor, no payee, no permission, status denied
Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 edit accounting merchant denial reason: archived, matches payee vendor, no payee, no permission, status denied
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
denial_reason | string | Required within parent | Why the action cannot be performed. Known values: archived, matches_payee_vendor, no_payee, no_permission |
status | string | Required within parent | Whether the action can be performed. Must equal: denied |
Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 edit line items
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | JSON | Root | discriminator: {"mapping": {"allowed": "#/components/schemas/ActionAllowedSchema", "denied": "#/components/schemas/ActionDeniedSchema_EditLineItemsDenialReason_"}, "propertyName": "status"} |
$ (anyOf 1) | Model | Alternative | Expand Fetch a vendor agreement — response body — available actions delete status allowed |
$ (anyOf 2) | Model | Alternative | Expand Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 edit line items status denied |
Referenced models: Fetch a vendor agreement — response body — available actions delete status allowed, Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 edit line items status denied
Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 edit line items status denied
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
denial_reason | string | Required within parent | Why the action cannot be performed. Known values: approval_generation_incomplete, archived, no_permission, punchout_order |
status | string | Required within parent | Whether the action can be performed. Must equal: denied |
Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 edit request coordinator
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | JSON | Root | discriminator: {"mapping": {"allowed": "#/components/schemas/ActionAllowedSchema", "denied": "#/components/schemas/ActionDeniedSchema_EditRequestCoordinatorDenialReason_"}, "propertyName": "status"} |
$ (anyOf 1) | Model | Alternative | Expand Fetch a vendor agreement — response body — available actions delete status allowed |
$ (anyOf 2) | Model | Alternative | Expand Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 edit request coordinator status denied |
Referenced models: Fetch a vendor agreement — response body — available actions delete status allowed, Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 edit request coordinator status denied
Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 edit request coordinator status denied
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
denial_reason | string | Required within parent | Why the action cannot be performed. Known values: approval_generation_incomplete, archived, no_permission, request_coordinator_disabled |
status | string | Required within parent | Whether the action can be performed. Must equal: denied |
Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 edit request owner
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | JSON | Root | discriminator: {"mapping": {"allowed": "#/components/schemas/ActionAllowedSchema", "denied": "#/components/schemas/ActionDeniedSchema_EditRequestOwnerDenialReason_"}, "propertyName": "status"} |
$ (anyOf 1) | Model | Alternative | Expand Fetch a vendor agreement — response body — available actions delete status allowed |
$ (anyOf 2) | Model | Alternative | Expand Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 edit request owner status denied |
Referenced models: Fetch a vendor agreement — response body — available actions delete status allowed, Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 edit request owner status denied
Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 edit request owner status denied
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
denial_reason | string | Required within parent | Why the action cannot be performed. Known values: approval_generation_incomplete, archived, is_change_request, no_permission, not_pre_approval, unsupported_request_type |
status | string | Required within parent | Whether the action can be performed. Must equal: denied |
Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 edit secondary fields
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | JSON | Root | discriminator: {"mapping": {"allowed": "#/components/schemas/ActionAllowedSchema", "denied": "#/components/schemas/ActionDeniedSchema_EditSecondaryFieldsDenialReason_"}, "propertyName": "status"} |
$ (anyOf 1) | Model | Alternative | Expand Fetch a vendor agreement — response body — available actions delete status allowed |
$ (anyOf 2) | Model | Alternative | Expand Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 edit secondary fields denial reason: approval generation incomplete, archived, no permission, status denied |
Referenced models: Fetch a vendor agreement — response body — available actions delete status allowed, Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 edit secondary fields denial reason: approval generation incomplete, archived, no permission, status denied
Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 edit secondary fields denial reason: approval generation incomplete, archived, no permission, status denied
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
denial_reason | string | Required within parent | Why the action cannot be performed. Known values: approval_generation_incomplete, archived, no_permission |
status | string | Required within parent | Whether the action can be performed. Must equal: denied |
Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 issue purchase order fund
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | JSON | Root | discriminator: {"mapping": {"allowed": "#/components/schemas/ActionAllowedSchema", "denied": "#/components/schemas/ActionDeniedSchema_IssuePurchaseOrderFundDenialReason_"}, "propertyName": "status"} |
$ (anyOf 1) | Model | Alternative | Expand Fetch a vendor agreement — response body — available actions delete status allowed |
$ (anyOf 2) | Model | Alternative | Expand Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 upload bill status denied |
Referenced models: Fetch a vendor agreement — response body — available actions delete status allowed, Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 upload bill status denied
Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 match unmatch transactions
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | JSON | Root | discriminator: {"mapping": {"allowed": "#/components/schemas/ActionAllowedSchema", "denied": "#/components/schemas/ActionDeniedSchema_MatchUnmatchTransactionsDenialReason_"}, "propertyName": "status"} |
$ (anyOf 1) | Model | Alternative | Expand Fetch a vendor agreement — response body — available actions delete status allowed |
$ (anyOf 2) | Model | Alternative | Expand Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 match unmatch transactions status denied |
Referenced models: Fetch a vendor agreement — response body — available actions delete status allowed, Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 match unmatch transactions status denied
Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 match unmatch transactions status denied
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
denial_reason | string | Required within parent | Why the action cannot be performed. Known values: no_permission, not_purchase_order, parent_blanket_purchase_order, unsupported_purchase_order_source |
status | string | Required within parent | Whether the action can be performed. Must equal: denied |
Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 request again
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | JSON | Root | discriminator: {"mapping": {"allowed": "#/components/schemas/ActionAllowedSchema", "denied": "#/components/schemas/ActionDeniedSchema_RequestAgainDenialReason_"}, "propertyName": "status"} |
$ (anyOf 1) | Model | Alternative | Expand Fetch a vendor agreement — response body — available actions delete status allowed |
$ (anyOf 2) | Model | Alternative | Expand Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 request again status denied |
Referenced models: Fetch a vendor agreement — response body — available actions delete status allowed, Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 request again status denied
Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 request again status denied
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
denial_reason | string | Required within parent | Why the action cannot be performed. Known values: blanket_purchase_order, child_purchase_order, punchout_order, request_linked_to_agreement, spend_intent_deleted, spend_intent_not_requestable |
status | string | Required within parent | Whether the action can be performed. Must equal: denied |
Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 request changes
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | JSON | Root | discriminator: {"mapping": {"allowed": "#/components/schemas/ActionAllowedSchema", "denied": "#/components/schemas/ActionDeniedSchema_RequestChangesDenialReason_"}, "propertyName": "status"} |
$ (anyOf 1) | Model | Alternative | Expand Fetch a vendor agreement — response body — available actions delete status allowed |
$ (anyOf 2) | Model | Alternative | Expand Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 request changes status denied |
Referenced models: Fetch a vendor agreement — response body — available actions delete status allowed, Get a unified request — response body — value / agreement_contract_type: ONE TIME, PERPETUAL, RENEWABLE, request status: APPROVED, DRAFT, REJECTED, SUBMITTED, spend request type: APPROVAL ONLY, unified request type: SPEND REQUEST, unified spend request type: APPROVAL ONLY agreement contract type: ONE TIME, PERPETUAL, RENEWABLE agreement contract type: ONE TIME, PERPETUAL, RENEWABLE available actions v2 request changes status denied